Remove aRts from the archive - rebuild all dependencies

Bug #320915 reported by Richard Birnie on 2009-01-24
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libsdl
Invalid
Undecided
Unassigned
allegro4.2 (Ubuntu)
Undecided
Unassigned
anymeal (Ubuntu)
Undecided
Unassigned
arts (Ubuntu)
Undecided
Unassigned
asc (Ubuntu)
Undecided
Unassigned
audacious-plugins (Ubuntu)
Undecided
Unassigned
basket (Ubuntu)
Undecided
Unassigned
cdbs (Ubuntu)
High
Unassigned
cmus (Ubuntu)
Undecided
Unassigned
cynthiune.app (Ubuntu)
Undecided
Unassigned
datakiosk (Ubuntu)
Undecided
Andreas Wenning
eva (Ubuntu)
Undecided
Andreas Wenning
ggz-kde-client (Ubuntu)
Undecided
Unassigned
ggz-kde-games (Ubuntu)
Undecided
Unassigned
guarddog (Ubuntu)
Undecided
Unassigned
icecc-monitor (Ubuntu)
Undecided
Unassigned
ichthux-meta (Ubuntu)
Low
Ralph Janke
k3b (Ubuntu)
Undecided
Devid Antonio Filoni
kadu (Ubuntu)
Low
Alessio Treglia
kallery (Ubuntu)
Undecided
Unassigned
kanjisaver (Ubuntu)
Undecided
Unassigned
kannasaver (Ubuntu)
Undecided
Andreas Wenning
kboincspy (Ubuntu)
Low
Alessio Treglia
kcemirror (Ubuntu)
Undecided
Andreas Wenning
kchmviewer (Ubuntu)
Undecided
Unassigned
kdbg (Ubuntu)
Undecided
Unassigned
kdelibs (Ubuntu)
Low
Harald Sitter
keximdb (Ubuntu)
Undecided
Unassigned
keybled (Ubuntu)
Undecided
Unassigned
kfish (Ubuntu)
Undecided
Unassigned
kgmailnotifier (Ubuntu)
Undecided
Unassigned
kguitar (Ubuntu)
Undecided
Unassigned
kid3 (Ubuntu)
Undecided
Unassigned
kile (Ubuntu)
Undecided
Unassigned
kitty (Ubuntu)
Undecided
Unassigned
kkbswitch (Ubuntu)
Undecided
Unassigned
klogic (Ubuntu)
Undecided
Unassigned
kmobiletools (Ubuntu)
Undecided
Unassigned
kmyfirewall (Ubuntu)
Undecided
Unassigned
knet (Ubuntu)
Undecided
Unassigned
knetfilter (Ubuntu)
Undecided
Andreas Wenning
knowit (Ubuntu)
Undecided
Unassigned
knutclient (Ubuntu)
Undecided
Unassigned
koffice (Ubuntu)
Undecided
Devid Antonio Filoni
kpicosim (Ubuntu)
Undecided
Unassigned
kpreg (Ubuntu)
Undecided
Andreas Wenning
kptc (Ubuntu)
Undecided
Unassigned
kradio (Ubuntu)
Undecided
Unassigned
kredentials (Ubuntu)
Undecided
Andreas Wenning
ksociograma (Ubuntu)
Undecided
Unassigned
ksocrat (Ubuntu)
Undecided
Unassigned
kst (Ubuntu)
Undecided
Andreas Wenning
ktimetrace (Ubuntu)
Undecided
Unassigned
kvirc (Ubuntu)
Undecided
Unassigned
kwavecontrol (Ubuntu)
Undecided
Unassigned
kxstitch (Ubuntu)
Undecided
Unassigned
libao (Ubuntu)
Undecided
Unassigned
libsdl1.2 (Ubuntu)
Undecided
Unassigned
lineak-kdeplugins (Ubuntu)
Undecided
Andreas Wenning
linphone (Ubuntu)
Undecided
Unassigned
mhwaveedit (Ubuntu)
Undecided
Unassigned
mpg123 (Ubuntu)
Undecided
Unassigned
mplayer (Ubuntu)
Undecided
Unassigned
mythplugins (Ubuntu)
Undecided
Unassigned
mythtv (Ubuntu)
Undecided
Unassigned
noteedit (Ubuntu)
Undecided
Unassigned
piklab (Ubuntu)
Undecided
Unassigned
potracegui (Ubuntu)
Undecided
Unassigned
timidity (Ubuntu)
Undecided
Unassigned
vlc (Ubuntu)
Undecided
Unassigned
xmp (Ubuntu)
Undecided
Unassigned
xsidplay (Ubuntu)
Undecided
Unassigned
zapping (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: arts

We are proposing to remove all arts associated packages from the archive prior to the release of Kubuntu 9.04. aRts is no longer maintained upstream, there are no applications in KDE4 that use the arts sound system and we no longer provide a KDE3 desktop.

Consequently a number of packages that depend on arts will need to be rebuilt.

There is a complete list of packages here: https://wiki.kubuntu.org/RemoveArts

If you intend to work on a package please enter your name in the assignee column. Once you are done please either attach a debdiff to this bug or upload your work and leave a note on the wiki page. Please mark LP: #320915 in debian/changelog so it can be linked to this report

Related branches

Changed in kdelibs:
assignee: nobody → apachelogger
importance: Undecided → Low
status: New → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdelibs - 4:3.5.10.dfsg.1-1ubuntu8

---------------
kdelibs (4:3.5.10.dfsg.1-1ubuntu8) jaunty; urgency=low

  * Don't build with arts support (LP: #320915)
  * Don't build apidox. We don't install them anyway

 -- Harald Sitter <email address hidden> Sat, 24 Jan 2009 20:28:13 +0100

Changed in kdelibs:
status: In Progress → Fix Released

libsdl1.2 is the source package that generates libsdl1.2debian-arts. With the removal of arts from the archive libsdl1.2debian-arts is no longer required. The debdiff to follow modifies the source package to build without arts support. Changes noted below:

libsdl1.2 (1.2.13-4ubuntu2) jaunty; urgency=low

  * Rebuild without aRts support. (LP: #320915)
  * Multiple changes in debian/control
    - dropped build-depends on libarts1-dev, libartsc0-dev. These
      packages will disappear as part of the arts removal.
    - Removed Package: libsdl1.2debian-arts section entirely
    - dropped depends on libsdl1.2debian-arts (= ${binary:Version}) for
      libsdl1.2-debian
    - dropped depends on libartsc0-dev for libsdl1.2-dev
  * Multiple changes in debian/rules
    - set --enable-arts-shared=no and --enable-arts=no in confflags
    - removed --disable-audio-arts from udeb_confflags
    - dropped arts from FLAVOURS=

 -- Richard Birnie <email address hidden> Sun, 25 Jan 2009 13:41:45 +0000

Changed in libsdl:
assignee: nobody → rbirnie
status: New → In Progress

debdiff to remove arts support from libsdl1.2

debdiff to remove arts support from kvirc (in universe)

kvirc (2:3.4.0-3ubuntu1) jaunty; urgency=low

  * No change rebuild to remove support for arts. (LP: #320915)

 -- Andreas Wenning <email address hidden> Mon, 26 Jan 2009 14:18:55 +0100

correct debdiff for kvirc

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kvirc - 2:3.4.0-3ubuntu1

---------------
kvirc (2:3.4.0-3ubuntu1) jaunty; urgency=low

  * No change rebuild to remove support for arts. (LP: #320915)

 -- Andreas Wenning <email address hidden> Mon, 26 Jan 2009 14:18:55 +0100

Changed in kvirc:
status: New → Fix Released
Daniel Holbach (dholbach) wrote :

Is this coordinated with Debian somehow?

Harald Sitter (apachelogger) wrote :

Debian is still holding on to a lot more parts of KDE 3 than we do (and probably will keep doing that for some time to come), so coordination wouldn't be of much use :)

Daniel Holbach (dholbach) wrote :

Right... I was just wondering if there was a plan to drop it both in Ubuntu and Debian at some time in the future. :-)

debdiff for removing arts-support in cmus

debdiff for kadu

debdiff for zapping

Please drop patch for Kadu.

On 2008.12.08 KTeam released Qt4.4 based Kadu 0.6.5 without arts dependencies. Packages with 0.6.5.1 are in Debian experimental and in near future we will ask for sync. See: https://bugs.launchpad.net/ubuntu/+source/kadu/+bug/306361

No problem; ignore the debdiff for kadu :)

debdiff for xsidplay

and a debdiff for xmp

timidity debdiff ready as well

and for mpg123

mhwaveedit arrived

and a debdiff for cynthiune.app

debdiff for libao

For mplayer the merges has been added to a bzr branch and a merge has been proposed. Please review:
https://code.launchpad.net/~andreas-wenning/mplayer/ubuntu/+merge/3268

Here is the same change to mplayer as debdiff if anyone fancies that better.

audacious-plugins needs to be fixed as well, see attached debdiff

and one for linphone as well

ichthux-meta depends directly on arts; this dependency should be removed as well

here is an update for basket to get it working in jaunty again

here is a debdiff for allegro4.2 removing the arts-plugin (and actually making it build in jaunty)

Changed in allegro4.2:
status: New → Confirmed
Changed in basket:
status: New → Confirmed
Changed in linphone:
status: New → Confirmed
Changed in audacious-plugins:
status: New → Confirmed
Changed in mplayer:
status: New → Confirmed
Changed in libao:
status: New → Confirmed
Changed in cynthiune.app:
status: New → Confirmed
Changed in mhwaveedit:
status: New → Confirmed
Changed in mpg123:
status: New → Confirmed
Changed in xmp:
status: New → Confirmed
Changed in xsidplay:
status: New → Confirmed

Now all those packages that a debdiff is present for in this bug is actually marked as 'Confirmed' as they should be.

Changed in zapping:
status: New → Confirmed
Changed in timidity:
status: New → Confirmed
Changed in cmus:
status: New → Confirmed
Changed in libsdl1.2:
status: New → Confirmed

For vlc the changes has been added to a bzr branch; and a merge proposed:
https://code.launchpad.net/~andreas-wenning/vlc/ubuntu/+merge/3309

For those who like it as a debdiff better, it is attached as well.

Changed in vlc:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mythtv - 0.21.0+fixes19556-0ubuntu6

---------------
mythtv (0.21.0+fixes19556-0ubuntu6) jaunty; urgency=low

  [ Thomas Mashos ]
  * debian/control, debian/rules:
    - Disable arts support as it's no longer part of jaunty. (LP: #320915)

  [ Mario Limonciello ]
  * debian/control, debian/rules:
    - Drop external x264 support. It's causing a FTBFS.

 -- Mario Limonciello <email address hidden> Wed, 04 Feb 2009 11:09:10 -0600

Changed in mythtv:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mythplugins - 0.21.0+fixes19556-0ubuntu4

---------------
mythplugins (0.21.0+fixes19556-0ubuntu4) jaunty; urgency=low

  [ Thomas Mashos ]
  * debian/control:
    - Remove mythbrowser - no longer supported
  * debian/mythvideo.postinst:
    - Make sure ownership of /var/lib/mythtv/posters is proper.

  [ Mario Limonciello ]
  * Rebuild to get rid of arts. (LP: #320915)
  * debian/control:
    - Make mythplugins have recommends rather than depends.
    - Invert libmp3lame-dev | liblame-dev build dependency.

 -- Mario Limonciello <email address hidden> Wed, 04 Feb 2009 12:10:00 -0600

Changed in mythplugins:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cmus - 2.2.0-3ubuntu2

---------------
cmus (2.2.0-3ubuntu2) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control:
      - Remove libartsc0-dev from build depends.
      + Add pkg-config as build depends; now missing due to
        libartsc0-dev build depending on it down the chain.

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 06:16:20 +0100

Changed in cmus:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zapping - 0.10~cvs6-2ubuntu1

---------------
zapping (0.10~cvs6-2ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libartsc0-dev from build depends.

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 12:35:05 +0100

Changed in zapping:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cynthiune.app - 0.9.5-7.1ubuntu1

---------------
cynthiune.app (0.9.5-7.1ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libartsc0-dev from build depends.
    - debian/rules: Add disable-arts=yes to gs_make.

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 21:12:43 +0100

Changed in cynthiune.app:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xsidplay - 2.0.2-3ubuntu1

---------------
xsidplay (2.0.2-3ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libartsc0-dev from build depends.

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 16:33:11 +0100

Changed in xsidplay:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xmp - 2.5.1-1ubuntu1

---------------
xmp (2.5.1-1ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libartsc0-dev from build depends.
    - debian/rules: Remove --enable-arts from ./configure

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 17:48:13 +0100

Changed in xmp:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package allegro4.2 - 2:4.2.2-2ubuntu1

---------------
allegro4.2 (2:4.2.2-2ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control:
      - Remove libartsc0-dev from build depends
      - Don't build package liballegro4.2-plugin-arts
      - Remove liballegro4.2-plugin-arts from suggests of liballegro4.2
    - debian/rules:
      + Add --enable-artsdigi=no to ./configure
      - Remove all lines specific to liballegro4.2-plugin-arts
    - Add 060_asm_fixes.diff to fix asm related FTBFS

 -- Andreas Wenning <email address hidden> Mon, 02 Feb 2009 18:17:48 +0100

Changed in allegro4.2:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package audacious-plugins - 1.5.1-2ubuntu3

---------------
audacious-plugins (1.5.1-2ubuntu3) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control:
      - Remove libartsc0-dev from build depends.
      - Remove libartsc0-dev from depends of audacious-plugins-dev.
      - Remove aRts from list of output plugins in description of
        audacious-plugins-extra.
    - debian/rules:
      + Add --disable-arts to ./configure
    - debian/audacious-plugins-extra.install:
      - Remove arts-related files.
    - debian/patches/series:
      - Remove debian/patches/000-Move_arts_helper.patch from list.

 -- Andreas Wenning <email address hidden> Mon, 02 Feb 2009 12:50:15 +0100

Changed in audacious-plugins:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linphone - 2.1.1-1ubuntu2

---------------
linphone (2.1.1-1ubuntu2) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control:
      - Remove libartsc0-dev from build depends.
      - Remove libartsc0-dev from depends of libmediastreamer0-dev.

 -- Andreas Wenning <email address hidden> Mon, 02 Feb 2009 14:11:39 +0100

Changed in linphone:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mhwaveedit - 1.4.14-2ubuntu1

---------------
mhwaveedit (1.4.14-2ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libartsc0-dev from build depends.

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 20:17:47 +0100

Changed in mhwaveedit:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package timidity - 2.13.2-20ubuntu3

---------------
timidity (2.13.2-20ubuntu3) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libarts1-dev from build depends and update
      timidity package description.
    - debian/rules: Remove arts from list of output options.

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 18:54:06 +0100

Changed in timidity:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mpg123 - 1.4.3-4ubuntu1

---------------
mpg123 (1.4.3-4ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libartsc0-dev from build depends.

 -- Andreas Wenning <email address hidden> Thu, 29 Jan 2009 19:55:44 +0100

Changed in mpg123:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mplayer - 2:1.0~rc2-0ubuntu18

---------------
mplayer (2:1.0~rc2-0ubuntu18) jaunty; urgency=low

  * The following upstream FFmpeg revisions has been merged in to cope
    with X264 API changes: 15029, 15337, 15523 (LP: #325720)
  * Remove arts from dependencies. (LP: #320915)
    - debian/control: Remove libartsc0-dev from build depends.
    - debian/rules: Remove --enable-arts from CONFIGURE_AUDIO_OUT.

 -- Andreas Wenning <email address hidden> Fri, 30 Jan 2009 19:26:15 +0100

Changed in mplayer:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 0.9.8a-1ubuntu3

---------------
vlc (0.9.8a-1ubuntu3) jaunty; urgency=low

  [ Andreas Wenning ]
  * Remove arts from dependencies. (LP: #320915)
    - debian/control:
      - Remove libarts1-dev from build depends
      - Don't build package vlc-plugin-arts
      - Remove all notions of vlc-plugin-arts from packages descriptions
    - debian/rules:
      - Remove --enable-arts from confflags
    - Delete debian/vlc-plugin-arts.install
    - Delete debian/vlc-plugin-arts.links

 -- Mario Limonciello <email address hidden> Thu, 12 Feb 2009 14:58:45 -0600

Changed in vlc:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libao - 0.8.8-4ubuntu1

---------------
libao (0.8.8-4ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/control:
      - Remove libartsc0-dev from build depends.
      - Remove libartsc0 from suggests for libao2.
      - Remove aRts from long description of libao2.
    - debian/libao-dev.install: Remove arts-related files.
    - debian/libao2.install: Remove arts-related files.

 -- Andreas Wenning <email address hidden> Fri, 30 Jan 2009 09:13:50 +0100

Changed in libao:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libsdl1.2 - 1.2.13-4ubuntu2

---------------
libsdl1.2 (1.2.13-4ubuntu2) jaunty; urgency=low

  * Rebuild without aRts support. (LP: #320915)
  * Multiple changes in debian/control
    - dropped build-depends on libarts1-dev, libartsc0-dev. These
      packages will disappear as part of the arts removal.
    - Removed Package: libsdl1.2debian-arts section entirely
    - dropped depends on libsdl1.2debian-arts (= ${binary:Version}) for
      libsdl1.2-debian
    - dropped depends on libartsc0-dev for libsdl1.2-dev
  * Multiple changes in debian/rules
    - set --enable-arts-shared=no and --enable-arts=no in confflags
    - removed --disable-audio-arts from udeb_confflags
    - dropped arts from FLAVOURS=

 -- Richard Birnie <email address hidden> Sun, 25 Jan 2009 13:41:45 +0000

Changed in libsdl1.2:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package basket - 1.0.2-5ubuntu1

---------------
basket (1.0.2-5ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure
  * debian/control:
    - Remove build-depends on kdepim-dev as it is now kde4
    - Don't build package basket-kontact-integration
  * debian/rules:
    - Change the path for ltmain.sh to /usr/share/libtool/config/ltmain.sh
    - Change the path for libtool.m4 to /usr/share/aclocal/libtool.m4
    - Remove all basket-kontact-integration related parts
  * Remove basket-kontact-integration.install

 -- Andreas Wenning <email address hidden> Mon, 02 Feb 2009 16:37:59 +0100

Changed in basket:
status: Confirmed → Fix Released
Changed in libsdl:
assignee: rbirnie → nobody
status: In Progress → Invalid
Ralph Janke (txwikinger) on 2009-02-14
Changed in ichthux-meta:
assignee: nobody → txwikinger
importance: Undecided → Low
milestone: none → jaunty-alpha-6
status: New → Confirmed
milestone: jaunty-alpha-6 → none
status: Confirmed → In Progress
Ralph Janke (txwikinger) wrote :

This patch removes the dependency on arts by the ichthux-meta package.

Thanks

Changed in ichthux-meta:
status: In Progress → Confirmed
Scott Kitterman (kitterman) wrote :

Patch for ichthux-meta did not apply, please redo the patch and let me know if you need sponsorship.

Changed in ichthux-meta:
status: Confirmed → Incomplete
Ralph Janke (txwikinger) wrote :

Fixed the problem with the debdiff

Changed in ichthux-meta:
status: Incomplete → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ichthux-meta - 1.0ubuntu11

---------------
ichthux-meta (1.0ubuntu11) jaunty; urgency=low

  * Fixes broken dependencies (LP: #320915)
  * Refreshed dependencies
  * Added kdebluetooth to desktop [armel]
  * Added mlocate to desktop [amd64 armel hppa ia64 lpia powerpc sparc]
  * Added phonon to desktop [amd64 armel hppa ia64 lpia powerpc sparc]
  * Removed arts from desktop [amd64 armel hppa ia64 lpia powerpc sparc]
  * Removed slocate from desktop [amd64 armel hppa ia64 lpia powerpc
    sparc]

 -- Ralph Janke <email address hidden> Sat, 14 Feb 2009 21:04:28 -0500

Changed in ichthux-meta:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kile - 1:2.1~svn20090217-0ubuntu1

---------------
kile (1:2.1~svn20090217-0ubuntu1) jaunty; urgency=low

  * New upstream svn snapshot of KDE4 version
    - Fixes (LP: #272837, #181228, #320915, #305149)
  * svn export docs to /doc/
    - Add debian/README.Source describing the svn snapshot
  * debian/control:
    - Update to KDE4 dependencies (LP: #237570)
    - Add recommends on aspell | ispell (LP: #102645)
    - Don't build kile-i18n-* (LP: #280899)
    - Build kile-dbg debug package
    - Build kile-doc containing user docs
    - kile suggests kile-doc
  * New debian/rules using kde4.mk
  * Update debian/copyright
  * Rename debian/docs to kile.docs
    - Include TODO-2.1 and kile-remote-control.txt
  * Update kile.install
  * Add kile-doc.install
  * Delete kile.links, menu
  * debian/patches/:
    - Remove kubuntu_01_use_okular.diff; applied upstream
    - Remove all other patches; automake/configure related
    - Add kubuntu_01_fix_view.diff to get pdf-viewing in okular to work
    - Add kubuntu_02_build_doc.diff to check for meinproc4 instead and
      install docs in the right directory

 -- Andreas Wenning <email address hidden> Wed, 18 Feb 2009 18:00:09 +0100

Changed in kile:
status: New → Fix Released
Changed in cdbs:
assignee: nobody → kitterman
importance: Undecided → High
milestone: none → jaunty-alpha-6
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cdbs - 0.4.52ubuntu14

---------------
cdbs (0.4.52ubuntu14) jaunty; urgency=low

  * 1/class/kde.mk.in add --without-arts to cdbs_configure_flags since we are
    dropping arts and all KDE 3 packages should be built without arts support
    and many will currently FTBFS if this flag is not set (LP: #320915)

 -- Scott Kitterman <email address hidden> Wed, 18 Feb 2009 22:41:37 -0500

Changed in cdbs:
status: In Progress → Fix Released
Changed in cdbs:
assignee: kitterman → nobody
Changed in kadu:
assignee: nobody → quadrispro
importance: Undecided → Low
Changed in k3b:
assignee: nobody → d.filoni
status: New → In Progress
Changed in koffice:
assignee: nobody → d.filoni
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package k3b - 1.0.5-3ubuntu2

---------------
k3b (1.0.5-3ubuntu2) jaunty; urgency=low

  * Build without aRts support, LP: #320915.
  * Update debian/libk3b3.install file, fix FTBFS.
  * Add libvorbis-dev to Build-Depends field in debian/control, fix FTBFS.

 -- Devid Antonio Filoni <email address hidden> Thu, 19 Feb 2009 16:31:54 +0100

Changed in k3b:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package koffice - 1:1.6.3-7ubuntu3

---------------
koffice (1:1.6.3-7ubuntu3) jaunty; urgency=low

  * Rebuild without aRts support, LP: #320915.

 -- Devid Antonio Filoni <email address hidden> Thu, 19 Feb 2009 17:22:41 +0100

Changed in koffice:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kadu - 0.6.5.1-5build1

---------------
kadu (0.6.5.1-5build1) jaunty; urgency=low

  * Rebuild without aRts support (LP: #320915).

 -- Alessio Treglia <email address hidden> Thu, 19 Feb 2009 21:41:47 +0100

Changed in kadu:
status: New → Fix Released
Martin Pitt (pitti) wrote :

Great progress here! Time for a checkrdepends run...

-- jaunty/universe ia64 deps on libarts1c2a:
kvirc
-- jaunty/universe hppa deps on libarts1c2a:
kvirc
-- jaunty/universe build deps on libarts1-dev:
ktimetrace
-- jaunty/universe sparc deps on libartsc0:
audacious-plugins-extra
xmp
xsidplay
-- jaunty/universe powerpc deps on libartsc0:
xmp
xsidplay
-- jaunty/universe ia64 deps on libartsc0:
audacious-plugins-extra
xmp
xsidplay
-- jaunty/universe hppa deps on libartsc0:
audacious-plugins-extra
kadu
xmp
xsidplay
-- jaunty/universe build deps on libartsc0-dev:
asc
-- jaunty/universe sparc deps on libartsc0-dev:
audacious-plugins-dev
libmediastreamer0-dev
-- jaunty/universe powerpc deps on libartsc0-dev:
libmediastreamer0-dev
-- jaunty/universe ia64 deps on libartsc0-dev:
audacious-plugins-dev
libmediastreamer0-dev
-- jaunty/universe hppa deps on libartsc0-dev:
audacious-plugins-dev
libmediastreamer0-dev
-- jaunty/multiverse sparc deps on libartsc0:
libmyth-0.21-0
mythtv-backend
mythtv-frontend
mythtv-transcode-utils
mythvideo
-- jaunty/multiverse powerpc deps on libartsc0:
mythvideo
-- jaunty/multiverse ia64 deps on libartsc0:
mythvideo
-- jaunty/multiverse hppa deps on libartsc0:
libmyth-0.21-0
mythtv-backend
mythtv-frontend
mythtv-transcode-utils
mythvideo
-- jaunty/multiverse build deps on libartsc0-dev:
ksocrat

Some of those might just be lagging buildds, and I wouldn't mind to remove arts if there are a few uninteresting ports FTBFSes. However, the couple of reverse build dependencies need to be fixed.

Changed in arts:
status: New → Triaged
Changed in asc:
status: New → Triaged
Changed in ksocrat:
status: New → Triaged

I'll look at the build depends; the rest is only ports lacking behind. Except ktimetrace which got the build-depends added just a few days ago...

ktimetrace debdiff

Changed in ktimetrace:
status: New → Confirmed

for ksocrat as well

and the last one for asc

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asc - 2.1.0.0-1ubuntu1

---------------
asc (2.1.0.0-1ubuntu1) jaunty; urgency=low

  * Remove build-depends on libartsc0-dev. (LP: #320915)

 -- Andreas Wenning <email address hidden> Wed, 25 Feb 2009 17:06:11 +0100

Changed in asc:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ktimetrace - 0.2.36-5ubuntu2

---------------
ktimetrace (0.2.36-5ubuntu2) jaunty; urgency=low

  * Remove build-depends on arts. (LP: #320915)
    - Patch configure; remove the checks for mcopidl as well as
      artsc-config. Inline patch.

 -- Andreas Wenning <email address hidden> Wed, 25 Feb 2009 16:23:13 +0100

Changed in ktimetrace:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ksocrat - 3.2.1-2ubuntu2

---------------
ksocrat (3.2.1-2ubuntu2) jaunty; urgency=low

  * Remove build-depends on libartsc0-dev. (LP: #320915)

 -- Andreas Wenning <email address hidden> Wed, 25 Feb 2009 16:33:58 +0100

Changed in ksocrat:
status: Triaged → Fix Released

Everything should be set now. The only things left might be a few ports lacking behind...

Source+binary removal requested in bug 333847

Martin Pitt (pitti) wrote :

arts was removed from Jaunty. Thanks to all for the efforts!

Changed in arts:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kptc - 0.2-6ubuntu1

---------------
kptc (0.2-6ubuntu1) jaunty; urgency=low

  * Remove aRts support. Patch configure to not check for mcopidl and
    artsc-config. Applied inline. (LP: #320915)

 -- Andreas Wenning <email address hidden> Sun, 15 Mar 2009 16:54:35 +0100

Changed in kptc:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kxstitch - 0.8-0ubuntu4

---------------
kxstitch (0.8-0ubuntu4) jaunty; urgency=low

  * debian/rules:
    - Add --without-arts to ./configure params. (LP: #320915)
    - Add --with-extra-includes=/usr/include/GraphicsMagick to ./configure
  * debian/control: Replace build-depends on libmagick++9-dev with
    graphicsmagick-libmagick-dev-compat

 -- Andreas Wenning <email address hidden> Sun, 15 Mar 2009 19:05:11 +0100

Changed in kxstitch:
status: New → Fix Released
Changed in knowit:
status: New → Fix Committed
Changed in anymeal:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package anymeal - 0.30-8ubuntu1

---------------
anymeal (0.30-8ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to DEB_CONFIGURE_EXTRA_FLAGS

 -- Andreas Wenning <email address hidden> Tue, 24 Mar 2009 20:11:06 +0100

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package knowit - 0.10-0ubuntu3

---------------
knowit (0.10-0ubuntu3) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Tue, 24 Mar 2009 19:00:23 +0100

Changed in anymeal:
status: Fix Committed → Fix Released
Changed in knowit:
status: Fix Committed → Fix Released
Changed in kid3:
status: New → Fix Committed
Changed in eva:
status: New → In Progress
Changed in eva:
assignee: nobody → andreas-wenning
Changed in knetfilter:
assignee: nobody → andreas-wenning
status: New → In Progress
Changed in eva:
status: In Progress → Fix Committed
Changed in knetfilter:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package knetfilter - 3.5.0-2ubuntu2

---------------
knetfilter (3.5.0-2ubuntu2) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Wed, 25 Mar 2009 08:33:50 +0100

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eva - 0.4.921+svn42-2ubuntu2

---------------
eva (0.4.921+svn42-2ubuntu2) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to DEB_CONFIGURE_EXTRA_FLAGS

 -- Andreas Wenning <email address hidden> Wed, 25 Mar 2009 08:16:03 +0100

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kid3 - 1.1-1ubuntu1

---------------
kid3 (1.1-1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Wed, 25 Mar 2009 07:52:18 +0100

Changed in eva:
status: Fix Committed → Fix Released
Changed in kid3:
status: Fix Committed → Fix Released
Changed in knetfilter:
status: Fix Committed → Fix Released
Changed in kannasaver:
assignee: nobody → andreas-wenning
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kannasaver - 1.1.1-4.1ubuntu1

---------------
kannasaver (1.1.1-4.1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Wed, 25 Mar 2009 16:28:04 +0100

Changed in kannasaver:
status: Fix Committed → Fix Released
Changed in datakiosk:
assignee: nobody → andreas-wenning
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package datakiosk - 0.7-0ubuntu5

---------------
datakiosk (0.7-0ubuntu5) jaunty; urgency=low

  * debian/rules:
    - Add --without-arts to ./configure line. (LP: #320915)
    - Call dh_icons instead of dh_iconcache.

 -- Andreas Wenning <email address hidden> Wed, 25 Mar 2009 18:29:02 +0100

Changed in datakiosk:
status: Fix Committed → Fix Released
Changed in kcemirror:
assignee: nobody → andreas-wenning
status: New → Fix Committed
Changed in kpreg:
assignee: nobody → andreas-wenning
status: New → Triaged
status: Triaged → Fix Committed
Changed in kcemirror:
status: Fix Committed → Fix Released
Changed in kpreg:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ksociograma - 2.0.1-5.1ubuntu1

---------------
ksociograma (2.0.1-5.1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Fri, 27 Mar 2009 21:06:54 +0100

Changed in ksociograma:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icecc-monitor - 1.1-3ubuntu1

---------------
icecc-monitor (1.1-3ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to DEB_CONFIGURE_EXTRA_FLAGS

 -- Andreas Wenning <email address hidden> Fri, 27 Mar 2009 22:01:16 +0100

Changed in icecc-monitor:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ggz-kde-games - 0.0.14.1-1ubuntu1

---------------
ggz-kde-games (0.0.14.1-1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to DEB_CONFIGURE_EXTRA_FLAGS

 -- Andreas Wenning <email address hidden> Sat, 28 Mar 2009 06:24:36 +0100

Changed in ggz-kde-games:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ggz-kde-client - 0.0.14.1-1ubuntu1

---------------
ggz-kde-client (0.0.14.1-1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to DEB_CONFIGURE_EXTRA_FLAGS

 -- Andreas Wenning <email address hidden> Sat, 28 Mar 2009 06:53:56 +0100

Changed in ggz-kde-client:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kmyfirewall - 1.1.1-2ubuntu1

---------------
kmyfirewall (1.1.1-2ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Sat, 28 Mar 2009 07:22:51 +0100

Changed in kmyfirewall:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package piklab - 0.15.4-1ubuntu1

---------------
piklab (0.15.4-1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Sat, 28 Mar 2009 09:50:00 +0100

Changed in piklab:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwavecontrol - 0.4.2-2.1ubuntu1

---------------
kwavecontrol (0.4.2-2.1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Sat, 28 Mar 2009 10:00:54 +0100

Changed in kwavecontrol:
status: New → Fix Released
Changed in kboincspy (Ubuntu):
assignee: nobody → quadrispro
importance: Undecided → Low
status: New → In Progress
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kboincspy - 0.9.1-6ubuntu1

---------------
kboincspy (0.9.1-6ubuntu1) jaunty; urgency=low

  * debian/rules:
    - Set correct path to libtool.m4, ltmain.sh; otherwise it FTBFS.
    - Add --without-arts option to configure to build without aRTs support
      (LP: #320915).

 -- Alessio Treglia <email address hidden> Sat, 28 Mar 2009 11:27:55 +0100

Changed in kboincspy:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kpicosim - 0.6a-1ubuntu1

---------------
kpicosim (0.6a-1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Sat, 28 Mar 2009 13:24:22 +0100

Changed in kpicosim:
status: New → Fix Released
Changed in kallery (Ubuntu):
status: New → Invalid
Changed in kallery (Ubuntu):
status: Invalid → Fix Released
Changed in knet (Ubuntu):
status: New → Fix Released
Changed in kanjisaver (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kradio (--without-arts parameter added)

Changed in kradio (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
assignee: fabricesp → nobody
status: In Progress → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kanjisaver (--without-arts parameter added)

Changed in kanjisaver (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in guarddog (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for guarddog (--without-arts parameter added)

Changed in guarddog (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in noteedit (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for noteedit (--without-arts parameter added)

Changed in noteedit (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in potracegui (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for potracegui (--without-arts parameter added)

Changed in kchmviewer (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kchmviewer (--without-arts parameter added)

Changed in potracegui (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in kchmviewer (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kradio - 0.1.1.1~20061112-3.1ubuntu1

---------------
kradio (0.1.1.1~20061112-3.1ubuntu1) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 03:48:24 +0000

Changed in kradio (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kanjisaver - 0.9.10-1ubuntu1

---------------
kanjisaver (0.9.10-1ubuntu1) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Thu, 16 Apr 2009 20:38:43 +0000

Changed in kanjisaver (Ubuntu):
status: Confirmed → Fix Released
Changed in kdbg (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Changed in keximdb (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress

Er... should keximdb be removed from the archive now?
I have a feeling that code got moved into KOffice itself
in the KOffice 2 series.

Would save rebuilding it if it can just go...

Martin

On Fri, Apr 17, 2009 at 6:55 PM, fabrice_sp <email address hidden> wrote:
> ** Changed in: kdbg (Ubuntu)
>       Status: New => In Progress
>
> ** Changed in: kdbg (Ubuntu)
>     Assignee: (unassigned) => fabrice_sp (fabricesp)
>
> ** Changed in: keximdb (Ubuntu)
>       Status: New => In Progress
>
> ** Changed in: keximdb (Ubuntu)
>     Assignee: (unassigned) => fabrice_sp (fabricesp)
>
> --
> Remove aRts from the archive - rebuild all dependencies
> https://bugs.launchpad.net/bugs/320915
> You received this bug notification because you are subscribed to koffice
> in ubuntu.
>

Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kdbg (--without-arts parameter added)

Changed in kdbg (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in keybled (Ubuntu):
assignee: nobody → fabricesp
status: New → Confirmed

kexi will be moved into koffice2; but the rewrite is not considered stable enough yet, so we don't ship the koffice2 kexi. So the only kexi in jaunty is still from the 1.6 series.

Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for keximdb (--without-arts parameter added)

Changed in keybled (Ubuntu):
status: Confirmed → In Progress
Changed in kst (Ubuntu):
assignee: nobody → andreas-wenning
status: New → In Progress
Changed in keximdb (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

kfish has been delete from repository

Changed in kfish (Ubuntu):
status: New → Invalid
Changed in guarddog (Ubuntu):
status: Confirmed → Fix Committed
Changed in kchmviewer (Ubuntu):
status: Confirmed → Fix Committed
Changed in kdbg (Ubuntu):
status: Confirmed → Fix Committed
Changed in potracegui (Ubuntu):
status: Confirmed → Fix Committed
Changed in noteedit (Ubuntu):
status: Confirmed → Fix Committed
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for keybled (--without-arts parameter added)

Changed in keybled (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in kgmailnotifier (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package guarddog - 2.6.0-2.1ubuntu3

---------------
guarddog (2.6.0-2.1ubuntu3) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 04:20:09 +0000

Changed in guarddog (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package noteedit - 2.8.1-2.2ubuntu2

---------------
noteedit (2.8.1-2.2ubuntu2) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 04:43:04 +0000

Changed in noteedit (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package potracegui - 1.3-2.3ubuntu2

---------------
potracegui (1.3-2.3ubuntu2) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 05:08:31 +0000

Changed in potracegui (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kchmviewer - 3.1.2-0ubuntu3

---------------
kchmviewer (3.1.2-0ubuntu3) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 05:29:23 +0000

Changed in kchmviewer (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdbg - 2.1.1-1ubuntu2

---------------
kdbg (2.1.1-1ubuntu2) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 18:04:22 +0000

Changed in kdbg (Ubuntu):
status: Fix Committed → Fix Released
Changed in kguitar (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kgmailnotifier (--without-arts parameter added)

Changed in kgmailnotifier (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kgmailnotifier (--without-arts parameter added)

Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kguitar (--without-arts parameter added)

Changed in kguitar (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in kst (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kst - 1.7.0-1ubuntu1

---------------
kst (1.7.0-1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Fri, 17 Apr 2009 21:30:55 +0200

Changed in kst (Ubuntu):
status: Fix Committed → Fix Released

Should be removed instead; kicker applets doesn't work anymore as kde3 is gone.

Changed in keybled (Ubuntu):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keximdb - 1.1.0-1ubuntu1

---------------
keximdb (1.1.0-1ubuntu1) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 18:15:55 +0000

Changed in keximdb (Ubuntu):
status: Confirmed → Fix Released
Changed in kredentials (Ubuntu):
assignee: nobody → andreas-wenning
status: New → In Progress
Changed in kredentials (Ubuntu):
status: In Progress → Fix Committed
Changed in kguitar (Ubuntu):
status: Confirmed → Fix Committed
Changed in kgmailnotifier (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kgmailnotifier - 0.4.0-0ubuntu2

---------------
kgmailnotifier (0.4.0-0ubuntu2) jaunty; urgency=low

  * debian/rules: added DEB_CONFIGURE_EXTRA_FLAGS with value --without-arts to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 19:26:25 +0000

Changed in kgmailnotifier (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kguitar - 0.5-3ubuntu2

---------------
kguitar (0.5-3ubuntu2) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Fri, 17 Apr 2009 19:47:53 +0000

Changed in kguitar (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kredentials - 0.9.4ubuntu1

---------------
kredentials (0.9.4ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Fri, 17 Apr 2009 23:35:16 +0200

Changed in kredentials (Ubuntu):
status: Fix Committed → Fix Released
Changed in kitty (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Changed in klogic (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kitty (--without-arts parameter added), and also disable rpath

Changed in kitty (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for klogic (--without-arts parameter added)

Changed in kmobiletools (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Changed in klogic (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kmobiletools (--without-arts parameter added)

Changed in kmobiletools (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in knutclient (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for knutclient (--without-arts parameter added)

Changed in knutclient (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in kkbswitch (Ubuntu):
assignee: nobody → fabricesp
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

debdiff with the fix for kkbswitch (--without-arts parameter added)

Changed in kkbswitch (Ubuntu):
assignee: fabricesp → nobody
status: In Progress → Confirmed
Changed in lineak-kdeplugins (Ubuntu):
assignee: nobody → andreas-wenning
status: New → In Progress
Changed in kitty (Ubuntu):
status: Confirmed → Fix Committed
Changed in kkbswitch (Ubuntu):
status: Confirmed → Fix Committed
Changed in kmobiletools (Ubuntu):
status: Confirmed → Fix Committed
Changed in klogic (Ubuntu):
status: Confirmed → Fix Committed
Changed in knutclient (Ubuntu):
status: Confirmed → Fix Committed
Changed in lineak-kdeplugins (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package klogic - 1.63-3ubuntu1

---------------
klogic (1.63-3ubuntu1) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Sat, 18 Apr 2009 05:02:07 +0000

Changed in klogic (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kitty - 0.9.2-2.1ubuntu1

---------------
kitty (0.9.2-2.1ubuntu1) jaunty; urgency=low

  * debian/rules:
    - moved the DEB_CONFIGURE_EXTRA_FLAGS line after cdbs includes to apply it,
      especially to disable rpath (--disable-rpath)
    - added --without-arts to DEB_CONFIGURE_EXTRA_FLAGS to rebuild without arts
      support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Sat, 18 Apr 2009 04:06:06 +0000

Changed in kitty (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kmobiletools - 4:4.0.80+really0.4.3.3-0ubuntu2

---------------
kmobiletools (4:4.0.80+really0.4.3.3-0ubuntu2) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Sat, 18 Apr 2009 05:19:19 +0000

Changed in kmobiletools (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package knutclient - 0.9.4-1ubuntu2

---------------
knutclient (0.9.4-1ubuntu2) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Sat, 18 Apr 2009 05:54:52 +0000

Changed in knutclient (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kkbswitch - 1.4.3-8ubuntu1

---------------
kkbswitch (1.4.3-8ubuntu1) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <email address hidden> Sat, 18 Apr 2009 06:09:01 +0000

Changed in kkbswitch (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lineak-kdeplugins - 2:0.9-5ubuntu1

---------------
lineak-kdeplugins (2:0.9-5ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <email address hidden> Sat, 18 Apr 2009 10:09:25 +0200

Changed in lineak-kdeplugins (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Patches